Taslak Çizgi

From FreeCAD Documentation
Revision as of 09:14, 3 January 2019 by Skywalker21 (talk | contribs) (Created page with "== Tanım == Çizgi aracı, tanımlana iki nokta arasına bir çizgi çizer. Taslak araç çubuğundaki Çizgi stili setini kullanır. Çizgi aracı, ik...")

Draft Line

Menü konumu
Taslak → Çizgi
Tezgahlar
Taslak, Yapı
Varsayılan kısayol
L I
Versiyonda tanıtıldı
-
Ayrıca bkz
Tel

Tanım

Çizgi aracı, tanımlana iki nokta arasına bir çizgi çizer. Taslak araç çubuğundaki Çizgi stili setini kullanır. Çizgi aracı, iki noktadan sonra durması dışında, Tel aracı gibi davranır.

How to use

  1. Press the Draft Line button, or press L then I keys
  2. Click a first point on the 3D view, or type a coordinate
  3. Click a second point on the 3D view, or type a coordinate

Options

  • Press X, Y or Z after the first point to constrain the second point on the given axis.
  • To enter coordinates manually, simply enter the numbers, then press ENTER between each X, Y and Z component.
  • Press R or click the checkbox to check/uncheck the Relative button. If relative mode is on, the coordinates of the second point are relative to the first one. If not, they are absolute, taken from the (0,0,0) origin point.
  • Press T or click the checkbox to check/uncheck the Continue button. If continue mode is on, the Line tool will restart after you give the second point, allowing you to draw another line segment without pressing the Line button again.
  • Press CTRL while drawing to force snapping your point to the nearest snap location, independently of the distance.
  • Press SHIFT while drawing to constrain your second point horizontally or vertically in relation to the first one.
  • Press CTRL+Z or press the Undo button to undo the last point.
  • Press ESC or the Cancel button to abort the current Line command.
  • If several connected Draft Lines are selected they can be transformed into a wire by pressing the Draft Upgrade Button.

Özellikleri

  • VERİStart: Başlangıç noktası
  • VERİEnd: Son nokta
  • VERİSubdivisions: Çizgiyi verilen alt bölümler ile ayırır. introduced in version 0.16

Scripting

The Line tool can be used in macros and from the Python console by using the following function:

Line = makeLine(p1, p2)
Line = makeLine(LineSegment)
Line = makeLine(Shape)
  • Creates a Line object between points p1 and p2, each defined as a FreeCAD.Vector
  • Creates a Line object from a Part.LineSegment
  • Creates a Line object from the first vertex to the last vertex of the given Shape
  • The current Draft Linestyle will be used

Example:

import FreeCAD, Draft
Draft.makeLine(FreeCAD.Vector(0,0,0), FreeCAD.Vector(2,0,0))

See also: Draft API, and the autogenerated API documentation https://www.freecadweb.org/api